Changeset 2906


Ignore:
Timestamp:
Sep 12, 2013 6:03:20 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2884 r2906  
    10671067                          icl/link). Default when mentioned: mingw. Default
    10681068                          when not mentioned: disabled.
    1069 
    10701069  --disable-pkg-config    disable use of pkg-config (if available)
    10711070  --enable-static[=PKGS]
     
    19041903echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19051904  fi
    1906 
    1907 
    1908 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1909 if test "${enable_static_standardlibs+set}" = set; then
    1910   enableval="$enable_static_standardlibs"
    1911   case "$enableval" in
    1912      no | yes | auto ) ;;
    1913      *)
    1914        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1915 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1916    { (exit 1); exit 1; }; } ;;
    1917    esac
    1918    use_static_standardlibs=$enableval
    1919 else
    1920   use_static_standardlibs=no
    1921 fi;
    1922 
    19231905
    19241906
     
    30603042    CFLAGS="$OPT_CFLAGS"
    30613043  fi
    3062 
    30633044else
    30643045  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32283209    ;;
    32293210esac
    3230 
    3231 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3232 if test x$use_static_standardlibs != xno ; then
    3233   case $build in
    3234     *-mingw*)
    3235       static_standardlib_flag=-static
    3236       ;;
    3237     *)
    3238       static_standardlib_flag=-static-libgcc
    3239       ;;
    3240   esac
    3241   case " $LDFLAGS " in
    3242     *" $static_standardlib_flag "* ) ;;
    3243     *)
    3244     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3245 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3246     coin_save_LDFLAGS="$LDFLAGS"
    3247     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3248     cat >conftest.$ac_ext <<_ACEOF
    3249 /* confdefs.h.  */
    3250 _ACEOF
    3251 cat confdefs.h >>conftest.$ac_ext
    3252 cat >>conftest.$ac_ext <<_ACEOF
    3253 /* end confdefs.h.  */
    3254 
    3255 int
    3256 main ()
    3257 {
    3258 int i=0;
    3259   ;
    3260   return 0;
    3261 }
    3262 _ACEOF
    3263 rm -f conftest.$ac_objext conftest$ac_exeext
    3264 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3265   (eval $ac_link) 2>conftest.er1
    3266   ac_status=$?
    3267   grep -v '^ *+' conftest.er1 >conftest.err
    3268   rm -f conftest.er1
    3269   cat conftest.err >&5
    3270   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3271   (exit $ac_status); } &&
    3272          { ac_try='test -z "$ac_c_werror_flag"
    3273                          || test ! -s conftest.err'
    3274   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3275   (eval $ac_try) 2>&5
    3276   ac_status=$?
    3277   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3278   (exit $ac_status); }; } &&
    3279          { ac_try='test -s conftest$ac_exeext'
    3280   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3281   (eval $ac_try) 2>&5
    3282   ac_status=$?
    3283   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3284   (exit $ac_status); }; }; then
    3285   echo "$as_me:$LINENO: result: yes" >&5
    3286 echo "${ECHO_T}yes" >&6
    3287 else
    3288   echo "$as_me: failed program was:" >&5
    3289 sed 's/^/| /' conftest.$ac_ext >&5
    3290 
    3291 echo "$as_me:$LINENO: result: no" >&5
    3292 echo "${ECHO_T}no" >&6
    3293        LDFLAGS="$coin_save_LDFLAGS"
    3294        if test $use_static_standardlibs = yes ; then
    3295          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3296 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3297    { (exit 1); exit 1; }; }
    3298        fi
    3299 
    3300 fi
    3301 rm -f conftest.err conftest.$ac_objext \
    3302       conftest$ac_exeext conftest.$ac_ext
    3303     ;;
    3304   esac
    3305 fi
    33063211
    33073212ac_ext=c
     
    51625067*-*-irix6*)
    51635068  # Find out which ABI we are using.
    5164   echo '#line 5164 "configure"' > conftest.$ac_ext
     5069  echo '#line 5069 "configure"' > conftest.$ac_ext
    51655070  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    51665071  (eval $ac_compile) 2>&5
     
    67616666
    67626667# Provide some information about the compiler.
    6763 echo "$as_me:6763:" \
     6668echo "$as_me:6668:" \
    67646669     "checking for Fortran 77 compiler version" >&5
    67656670ac_compiler=`set X $ac_compile; echo $2`
     
    78287733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78297734   -e 's:$: $lt_compiler_flag:'`
    7830    (eval echo "\"\$as_me:7830: $lt_compile\"" >&5)
     7735   (eval echo "\"\$as_me:7735: $lt_compile\"" >&5)
    78317736   (eval "$lt_compile" 2>conftest.err)
    78327737   ac_status=$?
    78337738   cat conftest.err >&5
    7834    echo "$as_me:7834: \$? = $ac_status" >&5
     7739   echo "$as_me:7739: \$? = $ac_status" >&5
    78357740   if (exit $ac_status) && test -s "$ac_outfile"; then
    78367741     # The compiler can only warn and ignore the option if not recognized
     
    80968001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80978002   -e 's:$: $lt_compiler_flag:'`
    8098    (eval echo "\"\$as_me:8098: $lt_compile\"" >&5)
     8003   (eval echo "\"\$as_me:8003: $lt_compile\"" >&5)
    80998004   (eval "$lt_compile" 2>conftest.err)
    81008005   ac_status=$?
    81018006   cat conftest.err >&5
    8102    echo "$as_me:8102: \$? = $ac_status" >&5
     8007   echo "$as_me:8007: \$? = $ac_status" >&5
    81038008   if (exit $ac_status) && test -s "$ac_outfile"; then
    81048009     # The compiler can only warn and ignore the option if not recognized
     
    82008105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82018106   -e 's:$: $lt_compiler_flag:'`
    8202    (eval echo "\"\$as_me:8202: $lt_compile\"" >&5)
     8107   (eval echo "\"\$as_me:8107: $lt_compile\"" >&5)
    82038108   (eval "$lt_compile" 2>out/conftest.err)
    82048109   ac_status=$?
    82058110   cat out/conftest.err >&5
    8206    echo "$as_me:8206: \$? = $ac_status" >&5
     8111   echo "$as_me:8111: \$? = $ac_status" >&5
    82078112   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82088113   then
     
    1054510450  lt_status=$lt_dlunknown
    1054610451  cat > conftest.$ac_ext <<EOF
    10547 #line 10547 "configure"
     10452#line 10452 "configure"
    1054810453#include "confdefs.h"
    1054910454
     
    1064510550  lt_status=$lt_dlunknown
    1064610551  cat > conftest.$ac_ext <<EOF
    10647 #line 10647 "configure"
     10552#line 10552 "configure"
    1064810553#include "confdefs.h"
    1064910554
     
    1298912894   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299012895   -e 's:$: $lt_compiler_flag:'`
    12991    (eval echo "\"\$as_me:12991: $lt_compile\"" >&5)
     12896   (eval echo "\"\$as_me:12896: $lt_compile\"" >&5)
    1299212897   (eval "$lt_compile" 2>conftest.err)
    1299312898   ac_status=$?
    1299412899   cat conftest.err >&5
    12995    echo "$as_me:12995: \$? = $ac_status" >&5
     12900   echo "$as_me:12900: \$? = $ac_status" >&5
    1299612901   if (exit $ac_status) && test -s "$ac_outfile"; then
    1299712902     # The compiler can only warn and ignore the option if not recognized
     
    1309312998   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1309412999   -e 's:$: $lt_compiler_flag:'`
    13095    (eval echo "\"\$as_me:13095: $lt_compile\"" >&5)
     13000   (eval echo "\"\$as_me:13000: $lt_compile\"" >&5)
    1309613001   (eval "$lt_compile" 2>out/conftest.err)
    1309713002   ac_status=$?
    1309813003   cat out/conftest.err >&5
    13099    echo "$as_me:13099: \$? = $ac_status" >&5
     13004   echo "$as_me:13004: \$? = $ac_status" >&5
    1310013005   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310113006   then
     
    1466314568   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466414569   -e 's:$: $lt_compiler_flag:'`
    14665    (eval echo "\"\$as_me:14665: $lt_compile\"" >&5)
     14570   (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
    1466614571   (eval "$lt_compile" 2>conftest.err)
    1466714572   ac_status=$?
    1466814573   cat conftest.err >&5
    14669    echo "$as_me:14669: \$? = $ac_status" >&5
     14574   echo "$as_me:14574: \$? = $ac_status" >&5
    1467014575   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467114576     # The compiler can only warn and ignore the option if not recognized
     
    1476714672   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1476814673   -e 's:$: $lt_compiler_flag:'`
    14769    (eval echo "\"\$as_me:14769: $lt_compile\"" >&5)
     14674   (eval echo "\"\$as_me:14674: $lt_compile\"" >&5)
    1477014675   (eval "$lt_compile" 2>out/conftest.err)
    1477114676   ac_status=$?
    1477214677   cat out/conftest.err >&5
    14773    echo "$as_me:14773: \$? = $ac_status" >&5
     14678   echo "$as_me:14678: \$? = $ac_status" >&5
    1477414679   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1477514680   then
     
    1697416879   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1697516880   -e 's:$: $lt_compiler_flag:'`
    16976    (eval echo "\"\$as_me:16976: $lt_compile\"" >&5)
     16881   (eval echo "\"\$as_me:16881: $lt_compile\"" >&5)
    1697716882   (eval "$lt_compile" 2>conftest.err)
    1697816883   ac_status=$?
    1697916884   cat conftest.err >&5
    16980    echo "$as_me:16980: \$? = $ac_status" >&5
     16885   echo "$as_me:16885: \$? = $ac_status" >&5
    1698116886   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698216887     # The compiler can only warn and ignore the option if not recognized
     
    1724217147   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724317148   -e 's:$: $lt_compiler_flag:'`
    17244    (eval echo "\"\$as_me:17244: $lt_compile\"" >&5)
     17149   (eval echo "\"\$as_me:17149: $lt_compile\"" >&5)
    1724517150   (eval "$lt_compile" 2>conftest.err)
    1724617151   ac_status=$?
    1724717152   cat conftest.err >&5
    17248    echo "$as_me:17248: \$? = $ac_status" >&5
     17153   echo "$as_me:17153: \$? = $ac_status" >&5
    1724917154   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725017155     # The compiler can only warn and ignore the option if not recognized
     
    1734617251   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734717252   -e 's:$: $lt_compiler_flag:'`
    17348    (eval echo "\"\$as_me:17348: $lt_compile\"" >&5)
     17253   (eval echo "\"\$as_me:17253: $lt_compile\"" >&5)
    1734917254   (eval "$lt_compile" 2>out/conftest.err)
    1735017255   ac_status=$?
    1735117256   cat out/conftest.err >&5
    17352    echo "$as_me:17352: \$? = $ac_status" >&5
     17257   echo "$as_me:17257: \$? = $ac_status" >&5
    1735317258   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1735417259   then
Note: See TracChangeset for help on using the changeset viewer.